// get grid data
var grid = $('.coidea-grid-holder').find('.coidea-grid'),
  tl = new TimelineMax({
    paused: true
  }),
  tlInner = new TimelineMax({
    paused: true
  }),
  numItems = grid.find('.coidea-item').length;

// main timeline
for (var i = 0; i < numItems; i++) {

  tl.to(grid.find('.coidea-item')[i], 0.6, {
    force3D: true,
    x: Math.random() > 0.5 ? -125 : 250,
    y: Math.random() > 0.5 ? -125 : 250,
    scale: -(Math.random() > 0.5 ? -0.25 : -0.5),
    autoAlpha: 0
  }, Math.random());
}

// secondary timeline
tlInner.to($('.coidea-activated-item'), 0.2, {
    force3D: true,
    scale: 1,
    autoAlpha: 1,
    zIndex: 3
  }, "+=1.2")
  .to($('.coidea-activated-item').find('.coidea-background'), 0.2, {
    force3D: true,
    autoAlpha: 0.1
  }, "-=0.1")
  .to($('.coidea-activated-item').find('.coidea-content'), 0.2, {
    force3D: true,
    autoAlpha: 1
  }, "-=0.1")
  .to($('.coidea-activated-item').find('.coidea-close'), 0.2, {
    force3D: true,
    autoAlpha: 1
  }, "-=0.3");

// hover
$('.coidea-grid .coidea-item').hover(
  function(e) {
    $('.coidea-item').removeClass('coidea-hovered');
    $(this).addClass('coidea-hovered');
  },
  function(e) {
    $(this).removeClass('coidea-hovered');
  }
);

// click
$('.coidea-grid .coidea-item').on('click', function() {

  // play timelines
  tl.play();
  tlInner.play();

  // get .coidea-item data
  var headline = $(this).data('headline'),
    excerpt = $(this).data('excerpt'),
    href = $(this).data('href'),
    image = $(this).data('image');
  // set .coidea-item data
  $('.coidea-activated-item').find('h4').html(headline);
  $('.coidea-activated-item').find('p').html(excerpt);
  $('.coidea-activated-item').find('a').attr('href', href);
  $('.coidea-activated-item').find('.coidea-background').attr('style', 'background-image: url(' + image + ')');

  /* scroll to top of parent div
  $('html,body').animate({
    scrollTop: $('.coidea-grid').offset().top
  }, 500); */

});

// close
$('.coidea-activated-item').on('click', '.coidea-close', function() {
  console.log('close');
  // reverse timelines
  tlInner.reverse();
  tl.reverse();
});

// set background-images for each item
$(function(){
  $('.coidea-item').each(function() {
    // get data image
    var imageUrl = $(this).data('image');
    // set background
    $(this).find('.coidea-item-inner').css('background-image', 'url(' + imageUrl + ')');
  });
})

$('.coidea-grid-holder').imagesLoaded( { background: true }, function() {
  $('body').removeClass('loading');
});